function [cumulative_regret,regrets_total, regrets_avg]= random_search(B,f_star,K,T,lambda,n_ind,alpha,v)
 
        [~, arms] = size(f_star(1,:));
        
        cov_mat = K;
        mean_vec = zeros(arms,1);
        
        cumulative_regret = 0;
        regrets_total = zeros(T,1);
        regrets_avg = zeros(1,T);
            
            
        for round = 1 : T
            if round <= T/5
                f = f_star(1,:);
            elseif round > T/5 && round <= T/2.5
                f = f_star(2,:);
%             elseif round > 6000 && round < 10000
%                 f = f_star(3,:);
            else
                f = f_star(3,:);
            end
            
            arm_pld = randi(arms);
            
            [opt_value,~] = max(f);
            cumulative_regret = cumulative_regret + opt_value - f(arm_pld);
            regrets_total(round) = cumulative_regret;
            regrets_avg(round) = cumulative_regret/round;
        end
    
end